Bug 720901 - Review Request: eclipse-avr - Eclipse AVR plugin
Summary: Review Request: eclipse-avr - Eclipse AVR plugin
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Alexander Kurtakov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-07-13 07:59 UTC by Vladimir Kostadinov
Modified: 2011-07-31 03:57 UTC (History)
4 users (show)

Fixed In Version: eclipse-avr-2.3.4-3.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-07-31 03:45:19 UTC
akurtako: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Vladimir Kostadinov 2011-07-13 07:59:55 UTC
Spec URL: http://dev.technogamma.biz/eclipse-avr/SPECS/eclipse-avr.spec
SRPM URL: http://dev.technogamma.biz/eclipse-avr/SRPMS/eclipse-avr-2.3.4-1.fc15.src.rpm
Description: The Eclipse AVR plugin enables you to develop, build, debug and program AVR devices.
Includes AVR Toolchain and AVRDude (InSystem Programmer).

That's my first package, so I'm looking for a sponsor.

Comment 1 Alexander Kurtakov 2011-07-13 11:58:16 UTC
I would do this one.

Comment 2 Alexander Kurtakov 2011-07-13 13:06:17 UTC
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[!]  Rpmlint output:
eclipse-avr.noarch: E: description-line-too-long C The Eclipse AVR plugin enables you to develop, build, debug and program AVR devices.
Please limit to the 80 symbol.

eclipse-avr.noarch: W: invalid-license GPL
Looking at the sources the license should be GPLv3+ . See http://fedoraproject.org/wiki/Licensing#SoftwareLicenses

eclipse-avr.noarch: W: no-documentation
Please include the license R2.3.4.20100807/de.innot.avreclipse-feature/licence.html and R2.3.4.20100807/de.innot.avreclipse-feature/releasenotes.txt

eclipse-avr.noarch: W: hidden-file-or-dir /usr/share/eclipse/dropins/avr/eclipse/plugins/de.innot.avreclipse.plugin.source_0.0.0/src/de.innot.avreclipse.doc_0.0.0/.project
eclipse-avr.noarch: W: hidden-file-or-dir /usr/share/eclipse/dropins/avr/eclipse/plugins/de.innot.avreclipse.source_0.0.0/src/de.innot.avreclipse.doc_0.0.0/.project
That's not a problem.
[x]  Package is named according to the Package Naming Guidelines[1].
[x]  Spec file name must match the base package name, in the format %{name}.spec.
[x]  Package meets the Packaging Guidelines[2].
[x]  Package successfully compiles and builds into binary rpms.
[x]  Buildroot definition is not present
[x]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines[3,4].
[!]  License field in the package spec file matches the actual license.
License type: GPLv3+
[!]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[-]  All independent sub-packages have license of their own
[x]  Spec file is legible and written in American English.
[-]  Sources used to build the package matches the upstream source, as provided in the spec URL.
[x]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines[5].
[x]  Package must own all directories that it creates.
[x]  Package requires other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[x]  File sections do not contain %defattr(-,root,root,-) unless changed with good reason
[x]  Permissions on files are set properly.
[x]  Package does NOT have a %clean section which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). (not needed anymore)
[x]  Package consistently uses macros (no %{buildroot} and $RPM_BUILD_ROOT mixing)
[x]  Package contains code, or permissable content.
[-]  Fully versioned dependency in subpackages, if present.
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[x]  Package does not own files or directories owned by other packages.
[-]  Javadoc documentation files are generated and included in -javadoc subpackage
[-]  Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlinks)
[-]  Packages have proper BuildRequires/Requires on jpackage-utils
[-]  Javadoc subpackages have Require: jpackage-utils
[x]  Package uses %global not %define
[x]  If package uses tarball from VCS include comment how to re-create that tarball (svn export URL, git clone URL, ...)
[x]  If source tarball includes bundled jar/class files these need to be removed prior to building
[x]  All filenames in rpm packages must be valid UTF-8.
[-]  Jar files are installed to %{_javadir}/%{name}.jar (see [6] for details)
[-]  If package contains pom.xml files install it (including depmaps) even when building with ant
[-]  pom files has correct add_to_maven_depmap call which resolves to the pom file (use "JPP." and "JPP-" correctly)

=== Other suggestions ===
[x]  If possible use upstream build method (maven/ant/javac)
[x]  Avoid having BuildRequires on exact NVR unless necessary
[x]  Package has BuildArch: noarch (if possible)
[x]  Latest version is packaged.
[x]  Reviewer should test that the package builds in mock.


=== Issues ===
1. Fix license tag to GPLv3+.
2. Add license and releasenotes as %doc
3. Fix line lenght.

Comment 3 Vladimir Kostadinov 2011-07-17 09:15:11 UTC
Spec URL: http://dev.technogamma.biz/eclipse-avr/SPECS/eclipse-avr.spec
SRPM URL:
http://dev.technogamma.biz/eclipse-avr/SRPMS/eclipse-avr-2.3.4-2.fc15.src.rpm

* Fri Jul 15 2011 Vladimir Kostadinov <vladimir.kostadinov@gmail.com> 2.3.4-2
- Description length fixed to < 80 characters.
- License fixed to GPLv3+.
- License files added in doc section.

Comment 4 Alexander Kurtakov 2011-07-18 06:07:19 UTC
Looks good.

APPROVED.

Comment 5 Alexander Kurtakov 2011-07-18 06:11:16 UTC
Sponsored, lifting FE-NEEDSPONSOR

Comment 6 Vladimir Kostadinov 2011-07-19 09:09:08 UTC
New Package SCM Request
=======================
Package Name: eclipse-avr
Short Description: The Eclipse AVR plugin includes AVR Toolchain and enables AVR development.
Owners: vladimirk
Branches: f14 f15 el6
InitialCC: akurtakov

Comment 7 Gwyn Ciesla 2011-07-19 12:41:10 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2011-07-21 11:26:19 UTC
eclipse-avr-2.3.4-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/eclipse-avr-2.3.4-3.fc15

Comment 9 Fedora Update System 2011-07-21 11:26:33 UTC
eclipse-avr-2.3.4-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/eclipse-avr-2.3.4-3.fc14

Comment 10 Fedora Update System 2011-07-23 01:58:18 UTC
eclipse-avr-2.3.4-3.fc14 has been pushed to the Fedora 14 testing repository.

Comment 11 Fedora Update System 2011-07-31 03:45:14 UTC
eclipse-avr-2.3.4-3.fc15 has been pushed to the Fedora 15 stable repository.

Comment 12 Fedora Update System 2011-07-31 03:57:42 UTC
eclipse-avr-2.3.4-3.fc14 has been pushed to the Fedora 14 stable repository.


Note You need to log in before you can comment on or make changes to this bug.